Package: groovy.org.codenarc.rule.junit

## [Groovy] Class AssertionTrap

- groovy.org.codenarc.rule.junit.AssertionTrap

- Visits code searching for assert statements or assert.* method calls.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Set<String>` | `assertMethodPatterns`
    `def` | `assertionFound`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitAssertStatement(org.codehaus.groovy.ast.stmt.AssertStatement statement)`
    `` | `void` | `visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)`

- - ### Property Detail

    - #### Set<String> assertMethodPatterns

    - #### def assertionFound

  - ### Method Detail

    - #### @Override void visitAssertStatement(org.codehaus.groovy.ast.stmt.AssertStatement statement)

    - #### @Override void visitMethodCallExpression(org.codehaus.groovy.ast.expr.MethodCallExpression call)